Package org.apache.cayenne.access.types

## Class TimestampType

- java.lang.Object
- - org.apache.cayenne.access.types.TimestampType

- All Implemented Interfaces:
    `ExtendedType<Timestamp>`

      public class TimestampType
      extends Object
      implements ExtendedType<Timestamp>

  Since:
    3.0

- - ### Field Summary

    - ### Fields inherited from interface org.apache.cayenne.access.types.ExtendedType

      `TRIM_VALUES_THRESHOLD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TimestampType()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getClassName()` | Returns a full name of Java class that this ExtendedType supports.
    `Timestamp` | `materializeObject​(CallableStatement cs, int index, int type)` | Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
    `Timestamp` | `materializeObject​(ResultSet rs, int index, int type)` | Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
    `void` | `setJdbcObject​(PreparedStatement statement, Timestamp value, int pos, int type, int scale)` | Initializes a single parameter of a PreparedStatement with object value.
    `String` | `toString​(Timestamp value)` | Converts value of the supported type to a human-readable String representation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cayenne.access.types.ExtendedType

      `readProcessor, writeProcessor`

- - ### Constructor Detail

    - #### TimestampType

          public TimestampType()

  - ### Method Detail

    - #### getClassName

          public String getClassName()

      Description copied from interface: `ExtendedType`
      Returns a full name of Java class that this ExtendedType supports.
      Specified by:
        `getClassName` in interface `ExtendedType<Timestamp>`

    - #### materializeObject

          public Timestamp materializeObject​(ResultSet rs,
                                             int index,
                                             int type)
                                      throws Exception

      Description copied from interface: `ExtendedType`
      Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
      Specified by:
        `materializeObject` in interface `ExtendedType<Timestamp>`
      Throws:
        `Exception` - if read error occurred, or an object can't be converted to a target Java class.

    - #### materializeObject

          public Timestamp materializeObject​(CallableStatement cs,
                                             int index,
                                             int type)
                                      throws Exception

      Description copied from interface: `ExtendedType`
      Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
      Specified by:
        `materializeObject` in interface `ExtendedType<Timestamp>`
      Throws:
        `Exception` - if read error occurred, or an object can't be converted to a target Java class.

    - #### setJdbcObject

          public void setJdbcObject​(PreparedStatement statement,
                                    Timestamp value,
                                    int pos,
                                    int type,
                                    int scale)
                             throws Exception

      Description copied from interface: `ExtendedType`
      Initializes a single parameter of a PreparedStatement with object value.
      Specified by:
        `setJdbcObject` in interface `ExtendedType<Timestamp>`
      Throws:
        `Exception`

    - #### toString

          public String toString​(Timestamp value)

      Description copied from interface: `ExtendedType`
      Converts value of the supported type to a human-readable String representation.
      Specified by:
        `toString` in interface `ExtendedType<Timestamp>`
      Parameters:
        `value` - a value to convert to String.